Gaim Multiple MSN Protocol Buffer Overflow Vulnerabilities

Solution:
SUSE has released a security advisory (SUSE-SA:2004:025) to address this issue. Please see the referenced advisory for more information.

Gentoo Linux has released advisory GLSA 200408-12 to address this issue. Please see the referenced advisory for further information. Users of affected packages are urged to execute the following commands with superuser privileges:
emerge sync
emerge -pv ">=net-im/gaim-0.81-r1"
emerge ">=net-im/gaim-0.81-r1"

Mandrake Linux has released advisory MDKSA-2004:081 along with fixes addressing this issue. Please see the referenced advisory for further information.

OpenBSD has included a patch to fix Gaim in the ports tree of OpenBSD-current as of 13 Aug 2004. This fix has not been ported to 3.4 or 3.5 at the time of this update.

Slackware has released advisory SSA:2004-239-01 dealing with this and other issues. Please see the referenced advisory for more information.

Fedora Legacy has released advisory FLSA-2004:1237 along with fixes for RedHat Linux dealing with this and other issues. Please see the referenced advisory for more information.

The vendor has released Gaim 0.82 to address these issues.

Conectiva has released an advisory (CLA-2004:884) to address these and other various issues in gaim. Please see the referenced advisory for more information.


Rob Flynn Gaim 0.10 x

Rob Flynn Gaim 0.10.3

Rob Flynn Gaim 0.50

Rob Flynn Gaim 0.51

Rob Flynn Gaim 0.52

Rob Flynn Gaim 0.53

Rob Flynn Gaim 0.54

Rob Flynn Gaim 0.55

Rob Flynn Gaim 0.56

Rob Flynn Gaim 0.57

Rob Flynn Gaim 0.58

Rob Flynn Gaim 0.59

Rob Flynn Gaim 0.59.1

Rob Flynn Gaim 0.60

Rob Flynn Gaim 0.61

Rob Flynn Gaim 0.62

Rob Flynn Gaim 0.63

Rob Flynn Gaim 0.64

Rob Flynn Gaim 0.65

Rob Flynn Gaim 0.66

Rob Flynn Gaim 0.67

Rob Flynn Gaim 0.68

Rob Flynn Gaim 0.69

Rob Flynn Gaim 0.70

Rob Flynn Gaim 0.71

Rob Flynn Gaim 0.72

Rob Flynn Gaim 0.73

Rob Flynn Gaim 0.74

Rob Flynn Gaim 0.75


 

Privacy Statement
Copyright 2010, SecurityFocus